PHP sérülékenységek

CH azonosító

CH-13705

Angol cím

PHP vulnerabilities

Felfedezés dátuma

2016.11.09.

Súlyosság

Magas

Érintett rendszerek

PHP

Érintett verziók

PHP 5.6, 7.0

Összefoglaló

A PHP több sérülékenységét jelentették, amelyeket kihasználva tetszőleges kód futtatható és szolgáltatás-megtagadás érhető el.

Leírás

A támadó speciálisan összeállított adatokkal a PHP-t használó alkalmazások vagy szolgáltatások összeomlását idézheti elő, vagy tetszőleges kódot futtathat.

A hiba az alábbi modulokat/függvényeket érinti:

  • imageline()
  • gdImageScaleBilinearPalette()
  • dynamicGetbuf
  • gdImageAALine
  • imagefilltoborder
  • _php_imap_mail()
  • ArrayObject 
  • userspace streams
  • WDDX

Megoldás

Frissítsen a legújabb verzióra

Megoldás

Frissítsen az 5.6.28, illetve a 7.0.13 verzióra.